Skip to content
Thyme Docs

Webhooks

List executable webhooks

GET/api/v1/executables/{executableId}/webhooks

Required scope: webhooks:read.

Path Parameters

executableIdRequired
string

Header Parameters

X-Workspace-Id
string

Required for an unbound key; a management credential is already workspace-bound.

Responses

Create executable webhook

POST/api/v1/executables/{executableId}/webhooks

Required scope: webhooks:write. Owner/admin membership is required.

Path Parameters

executableIdRequired
string

Header Parameters

X-Workspace-Id
string

Required for an unbound key; a management credential is already workspace-bound.

Idempotency-Key
string·min 1·max 128

Opaque 1–128 character key retained for 24 hours. Use a different key for every target resource and intended mutation: some fingerprints use the route template without the resource ID.

Request Body

application/json
nameRequired
string

Responses

Get executable webhook

GET/api/v1/webhooks/{webhookId}

Required scope: webhooks:read.

Path Parameters

webhookIdRequired
string

Header Parameters

X-Workspace-Id
string

Required for an unbound key; a management credential is already workspace-bound.

Responses

Rename executable webhook

PATCH/api/v1/webhooks/{webhookId}

Required scope: webhooks:write. Owner/admin membership is required.

Path Parameters

webhookIdRequired
string

Header Parameters

X-Workspace-Id
string

Required for an unbound key; a management credential is already workspace-bound.

Idempotency-Key
string·min 1·max 128

Opaque 1–128 character key retained for 24 hours. Use a different key for every target resource and intended mutation: some fingerprints use the route template without the resource ID.

Request Body

application/json
nameRequired
string

Responses

Revoke executable webhook

DELETE/api/v1/webhooks/{webhookId}

Required scope: webhooks:write. Owner/admin membership is required.

Path Parameters

webhookIdRequired
string

Header Parameters

X-Workspace-Id
string

Required for an unbound key; a management credential is already workspace-bound.

Idempotency-Key
string·min 1·max 128

Opaque 1–128 character key retained for 24 hours. Use a different key for every target resource and intended mutation: some fingerprints use the route template without the resource ID.

Responses

Rotate executable webhook

POST/api/v1/webhooks/{webhookId}/rotate

Required scope: webhooks:write. Owner/admin membership is required.

Path Parameters

webhookIdRequired
string

Header Parameters

X-Workspace-Id
string

Required for an unbound key; a management credential is already workspace-bound.

Idempotency-Key
string·min 1·max 128

Opaque 1–128 character key retained for 24 hours. Use a different key for every target resource and intended mutation: some fingerprints use the route template without the resource ID.

Responses